{% extends "layout.html"%}
{% from "form-macro.html" import form_macro %}

{% block title %}
    <a href="/ai/gradings">AI gradings</a>
    <a href="#" >{{ ai_grade.attempt_id }}</a>
{% endblock %}

{% block body %}

<div class="tab-selectors">
    <button class="link-button">Feedback</button>
    <button class="link-button">Input</button>
    {% if "error" in ai_grade.prompt_object %}
    <button class="link-button">Prompter error</button>
    {% else %}
    <button class="link-button">Prompt</button>
    <button class="link-button">Output</button>
    {% endif %}
</div>

<div class="tab-blocks">
    <ul>
        {{objectives_feedback | markdown | safe}}
    </ul>
    <ul>
        <pre>{{ai_grade.input | format_json}}</pre>
    </ul>
    {% if "error" in ai_grade.prompt_object %}
    <ul>
        <pre>{{ai_grade.prompt_object.error}}</pre>
     </ul>
    {% else %}
    <ul>
       <pre>{{ai_grade.prompt | format_json}}</pre>
    </ul>
    <ul>
        <pre>{{ai_grade.output | format_json}}</pre>
    </ul>
    {% endif %}
</div>

{% endblock %}